# -*- coding: utf-8 -*-
"""Gráfica

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1H2GPju2OqOGL1qgUj6fDUTLPCm5hKMcV

La curva plana llamada trocoide, una generalización de la cicloide, es la curva descrita por un punto P situado a una distancia b del centro de una circunferencia de radio a, a medida que rueda (sin deslizar) por una superficie horizontal. Tiene por coordenadas (x,y) las siguientes:
x=aϕ−bsen(ϕ),y=a−bcos(ϕ) 
Escribir un programa que dibuje tres curvas (contínuas y sin símbolos), en el mismo gráfico cartesiano (OX,OY), para un intervalo  ϕ =[0.0,18.0] (en radianes) y para los valores de a=5.0 y b=2.0, 5.0 y 8.0 . Rotular apropiadamente los ejes e incluir una leyenda con los tres valores de que distinguen las tres curvas.
"""



import numpy as np
import matplotlib.pyplot as plt

def fi():
  c = np.arange(0,18,0.1)
  return c

  
def f1(a,b):
    x = a*fi() - (b*np.sin(fi()))
    return x


def f2(a,b):
    y = a - (b*np.cos(fi()))
    return y
  
def graficar(x,y,x1,y1,x2,y2,fi):
  plt.plot(x, y, linestyle = '-',linewidth = 3, color = 'r',label = "b=2")
  plt.plot(x1, y1, linestyle = '-', linewidth = 3, color = 'g',label = "b=5")
  plt.plot(x2, y2, linestyle = '-', linewidth = 3, color = 'b',label = "b=8")
  plt.title("Trocoide")
  plt.xlabel('X')
  plt.ylabel('Y')
  plt.legend(loc="lower center")
  plt.grid()
  plt.show()
  
def valores():
  x = f1 (5, 2)
  y = f2 (5, 2)
  x1 = f1 (5, 5)
  y1 = f2 (5, 5)
  x2 = f1 (5, 8)
  y2 = f2 (5, 8)
  
  graficar(x,y,x1,y1,x2,y2,fi)
valores()

"""Dibujar las diferentes trayectorias de los proyectiles disparados por un cañón situado en un terreno horizontal para diferentes ángulos de elevación (inclinación respecto de la horizontal) en un intervalo de tiempo de 0 a 60 s. El cañón proporciona una velocidad inicial de 300 m/s. Dibujarlas para los ángulos de elevación siguientes: 20, 30, 40, 50, 60 y 70 grados y suponer que el cañón está situado en el origen de coordenadas. Rotular apropiadamente los ejes e insertar una leyenda que identifique las diferentes trayectorias. Recordar que el proyectil no puede penetrar en el suelo de forma que hay que establecer los límites apropiados para el dibujo."""

import numpy as np 
import math as m
import matplotlib.pyplot as plt

def tiempo():
  t = np.arange(0,60,1)
  return t

def con_rad(radi):  
  r=(radi*m.pi)/180
  return r

def eje_x(r):
  vi=300
  x=vi*np.cos(con_rad(r))*tiempo()
  return x

def eje_y(r):
  vi=300
  g=9.8
  y=(vi*np.sin(con_rad(r))*tiempo())-(g/2)*(tiempo()*tiempo())
  return y

def graficar(x,y,x1,y1,x2,y2,x3,y3,x4,y4,x5,y5):
  plt.plot(x,y,linestyle="-",linewidth=4, color="r", label = "curva_20")
  plt.plot(x1,y1,linestyle="-", linewidth=4, color="g", label = "curva_30")
  plt.plot(x2,y2,linestyle="-", linewidth=4, color="b", label = "curva_40")
  plt.plot(x3,y3,linestyle="-", linewidth=4, color=(0.5,0.4,0.6), label = "curva_50")
  plt.plot(x4,y4,linestyle="-", linewidth=4, color=(0.3,0.1,0.6), label = "curva_60")
  plt.plot(x5,y5,linestyle="-", linewidth=4, color=(0.6,0.8,0.9), label = "curva_70")
  plt.grid()
  plt.legend(loc="lower left")
  plt.xlabel("X")
  plt.ylabel("Y")
  plt.title("Movimiento Parabolico")
  plt.show()
  
def valores():
  x=eje_x(20)
  y=eje_y(20)
  x1=eje_x(30)
  y1=eje_y(30)
  x2=eje_x(40)
  y2=eje_y(40)
  x3=eje_x(50)
  y3=eje_y(50)
  x4=eje_x(60)
  y4=eje_y(60)
  x5=eje_x(70)
  y5=eje_y(70)
  graficar(x,y,x1,y1,x2,y2,x3,y3,x4,y4,x5,y5)
  
valores()